KDE 4.7 PyKDE API Reference

- KDE's Python API

# Locator Class Reference

`from PyKDE4.soprano import *`

Namespace: Soprano.Error

## Detailed Description

\class Locator locator.h Soprano/Error/Locator

Details of a parser Error

A Locator object provides additional information about parsing errors.

## Methods
| __init__ (self)
| __init__ (self, int line, int column, int byte=-1, QString filename=QString())
| __init__ (self, Soprano.Error.Locator other)
int | byte (self)
int | column (self)
QString | fileName (self)
int | line (self)
| setByte (self, int byte)
| setColumn (self, int column)
| setFileName (self, QString fileName)
| setLine (self, int line)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | int | line,
|  | int | column,
|  | int | byte=-1,
|  | QString | filename=QString()
| ) |  |  |

__init__ | ( | self, |
|  | Soprano.Error.Locator | other
| ) |  |  |

int byte | ( |  | self ) |

int column | ( |  | self ) |

QString fileName | ( |  | self ) |

int line | ( |  | self ) |

setByte | ( | self, |
|  | int | byte
| ) |  |  |

setColumn | ( | self, |
|  | int | column
| ) |  |  |

setFileName | ( | self, |
|  | QString | fileName
| ) |  |  |

setLine | ( | self, |
|  | int | line
| ) |  |  |